<?php

namespace AppBundle\Form;

use AppBundle\Entity\Film;
use AppBundle\Entity\Genre;
use AppBundle\Entity\MediaVideo;
use Doctrine\ORM\Mapping\Entity;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;


class FilmType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
	    $builder
            ->add('titre', TextType::class)
		    ->add('annee', DateType::class, array(
		        'widget'    => 'single_text',
                'years'     => range(1930, 2050, 1),
                'format'    =>  'yyyy',
                'html5'     =>  true,
                'required'  =>  false
            ))
            ->add('lien', TextType::class, array(
                'required'  => false
            ))
            ->add('mediaVideo', MediaVideoType::class,array(
                'required'  =>  false,
            ))
            ->add('genres', CollectionType::class, array(
                'entry_type'    =>  GenreType::class,
                'entry_options' =>  array('label'=>false),
                'allow_add'     =>  true,
                'allow_delete'  =>  true
            ))
            ->add('realisateurs', CollectionType::class, array(
                'entry_type'    =>  RealisateurType::class,
                'entry_options' =>  array('label'=>false),
                'allow_add'     =>  true,
                'allow_delete'  =>  true,
                'allow_extra_fields'    => true
            ))
		    ->add('save', SubmitType::class, array('label' => 'Enregistrer'));
    }
    
    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'AppBundle\Entity\Film'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'appbundle_film';
    }


}
